# Spectral Densities

The interaction of a quantum system with a condensed phase environment is often captured through the spectral density. QuantumDynamics has a built-in support for a few of the most common spectral densities and allows for easy incorporation of other spectral densities.

## API
```@docs
SpectralDensities
```

```@docs
SpectralDensities.ExponentialCutoff
```

```@docs
SpectralDensities.DrudeLorentz
```

```@docs
SpectralDensities.matsubara_decomposition
```

```@docs
SpectralDensities.SpectralDensityTable
```

```@docs
SpectralDensities.tabulate
```